<?php
$config->bi->builtin->metrics[] = array
(
    'name'       => '按人员统计的代码提交次数',
    'alias'      => '单人代码提交次数',
    'code'       => 'count_of_code_commits_in_user',
    'purpose'    => 'rate',
    'scope'      => 'user',
    'object'     => 'code',
    'unit'       => 'count',
    'dateType'   => 'day',
    'desc'       => '按人员统计的代码提交次数是指单个提交人的全部代码提交操作的数量。代码提交次数反映了提交人的开发活动频率和代码更新情况。',
    'definition' => "所有代码提交数求和\n提交人为某人"
);

$config->bi->builtin->metrics[] = array
(
    'name'       => '按人员统计人日代码提交次数',
    'alias'      => '人员日提交次数',
    'code'       => 'count_of_daily_code_commits_in_user',
    'purpose'    => 'rate',
    'scope'      => 'user',
    'object'     => 'code',
    'unit'       => 'count',
    'dateType'   => 'day',
    'desc'       => '按提交人统计的日代码提交次数是指单个提交人每日的全部代码提交操作的量。代码提交次数反映了提交人每日的开发活动频率和代码更新情况。',
    'definition' => "所有代码提交次数求和\n提交人为某人\n提交时间为某日。"
);

$config->bi->builtin->metrics[] = array
(
    'name'       => '按人员统计的代码库日代码提交次数',
    'alias'      => '单人单个代码库日代码提交次数',
    'code'       => 'count_of_repo_and_daily_code_commits_in_user',
    'purpose'    => 'rate',
    'scope'      => 'user',
    'object'     => 'code',
    'unit'       => 'count',
    'dateType'   => 'day',
    'desc'       => '按人员统计的代码库日代码提交次数是指单个提交人在某个代码库的单日全部代码提交次数。反映了提交人在每日在每个人代码库的开发活动频率和代码更新情况。',
    'definition' => "所有代码提交数求和\n提交人为某人\n代码库为某个代码库\n代码提交时间为某日。"
);

$config->bi->builtin->metrics[] = array
(
    'name'       => '按人员统计的代码库代码提交次数',
    'alias'      => '单人单个代码库代码提交次数',
    'code'       => 'count_of_repo_code_commits_in_user',
    'purpose'    => 'rate',
    'scope'      => 'user',
    'object'     => 'code',
    'unit'       => 'count',
    'dateType'   => 'day',
    'desc'       => '按人员统计的代码库代码提交次数是指单个提交人在某个代码库的全部代码提交次数。反映了提交人在某个代码库的开发活动频率和代码更新情况。',
    'definition' => "所有代码提交数求和\n提交人为某人\n代码库为某个代码库。"
);