<?php
if(helper::hasFeature('devops') || (defined('IN_UPGRADE') && IN_UPGRADE))
{
    if(isset($lang->resource->artifactrepo)) $lang->resource->artifactrepo->view = 'view';

    if(isset($lang->resource->repo))
    {
        $lang->resource->repo->createBranch = 'createBranch';
        $lang->resource->repo->deleteBranch = 'deleteBranch';
        $lang->resource->repo->createTag    = 'createTag';
        $lang->resource->repo->deleteTag    = 'deleteTag';
        $lang->resource->repo->setPRrule    = 'setPRrule';
        $lang->resource->repo->setSafeRule  = 'setSafeRule';

        $lang->resource->repo->browseWebhooks = 'browseWebhooks';
        $lang->resource->repo->createWebhook  = 'createWebhook';
        $lang->resource->repo->editWebhook    = 'editWebhook';
        $lang->resource->repo->deleteWebhook  = 'deleteWebhook';
        $lang->resource->repo->logWebhook     = 'logWebhook';
        $lang->resource->repo->enableWebhook  = 'enableWebhook';

        $lang->resource->repo->browseRule = 'browseRule';
        $lang->resource->repo->createRule = 'createRule';
        $lang->resource->repo->editRule   = 'editRule';
        $lang->resource->repo->deleteRule = 'deleteRule';
        $lang->resource->repo->enableRule = 'enableRule';
    }

    $lang->resource->job->createPipeline = 'createPipeline';
    $lang->resource->job->arrange        = 'arrange';
}

$lang->job->methodOrder[10] = 'createPipeline';
$lang->job->methodOrder[15] = 'arrange';

$lang->repo->methodOrder[120] = 'createBranch';
$lang->repo->methodOrder[125] = 'deleteBranch';
$lang->repo->methodOrder[130] = 'createTag';
$lang->repo->methodOrder[135] = 'deleteTag';
$lang->repo->methodOrder[140] = 'setPRrule';
$lang->repo->methodOrder[145] = 'setSafeRule';

$lang->repo->methodOrder[150] = 'browseWebhooks';
$lang->repo->methodOrder[155] = 'createWebhook';
$lang->repo->methodOrder[160] = 'editWebhook';
$lang->repo->methodOrder[165] = 'deleteWebhook';
$lang->repo->methodOrder[170] = 'logWebhook';
$lang->repo->methodOrder[175] = 'enableWebhook';

$lang->repo->methodOrder[180] = 'browseRule';
$lang->repo->methodOrder[185] = 'createRule';
$lang->repo->methodOrder[190] = 'editRule';
$lang->repo->methodOrder[195] = 'deleteRule';
$lang->repo->methodOrder[200] = 'enableRule';

/* push request. */
$lang->resource->pullreq = new stdclass();
$lang->resource->pullreq->browse     = 'browseAction';
$lang->resource->pullreq->edit       = 'edit';
$lang->resource->pullreq->delete     = 'delete';
$lang->resource->pullreq->view       = 'viewAction';
$lang->resource->pullreq->accept     = 'accept';
$lang->resource->pullreq->linkStory  = 'linkStory';
$lang->resource->pullreq->linkBug    = 'linkBug';
$lang->resource->pullreq->linkTask   = 'linkTask';
$lang->resource->pullreq->unlink     = 'unlink';
$lang->resource->pullreq->approval   = 'approval';
$lang->resource->pullreq->close      = 'close';
$lang->resource->pullreq->reopen     = 'reopen';

$lang->pullreq->methodOrder[15]  = 'browse';
$lang->pullreq->methodOrder[20]  = 'edit';
$lang->pullreq->methodOrder[25]  = 'delete';
$lang->pullreq->methodOrder[35]  = 'view';
$lang->pullreq->methodOrder[45]  = 'accept';
$lang->pullreq->methodOrder[60]  = 'linkStory';
$lang->pullreq->methodOrder[65]  = 'linkBug';
$lang->pullreq->methodOrder[70]  = 'linkTask';
$lang->pullreq->methodOrder[75]  = 'unlink';
$lang->pullreq->methodOrder[80]  = 'approval';
$lang->pullreq->methodOrder[85]  = 'close';
$lang->pullreq->methodOrder[90]  = 'reopen';
$lang->pullreq->methodOrder[95]  = 'addReview';
